"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCommits = void 0;
const utils_1 = require("@technote-space/github-action-helper/dist/utils");
const misc_1 = require("./misc");
const constant_1 = require("../constant");
const listCommits = async (octokit, context) => (octokit.paginate)(octokit.rest.pulls.listCommits, {
    ...context.repo,
    'pull_number': context.payload.number,
});
const getCommits = async (types, excludeMessages, breakingChangeNotes, octokit, context) => (await listCommits(octokit, context))
    .filter(commit => !constant_1.MERGE_MESSAGE_PATTERN.test(commit.commit.message))
    .map(commit => ({ commit, message: (0, misc_1.parseCommitMessage)(commit.commit.message, types, excludeMessages, breakingChangeNotes) }))
    .filter(item => item.message)
    .map(item => ({
    sha: (0, utils_1.ensureNotNull)(item.commit.sha),
    ...item.message,
}));
exports.getCommits = getCommits;
//# sourceMappingURL=commit.js.map